services:
  nodebb:
    image: ghcr.io/nodebb/nodebb:4.9.1
    container_name: ${CONTAINER_NAME}
    restart: unless-stopped
    networks:
      - opsmind-network
    ports:
      - "${PANEL_APP_PORT_HTTP}:4567"
    volumes:
      - ./data/build:/usr/src/app/build
      - ./data/node_modules:/usr/src/app/node_modules
      - ./data/uploads:/usr/src/app/public/uploads
      - ./data/config:/opt/config
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true
